Subject: Re: [PATCH 1/2] arm64: change ARCH_SPRD Kconfig to tristate

From: Sandeep Patil <[email-masked]>
Date: Mon, 9 Mar 2020 21:27:39 -0700

On Mon, Mar 09, 2020 at 09:19:03PM -0700, Sandeep Patil wrote:
> Hi Geert,
> 
> On Mon, Mar 09, 2020 at 11:32:06AM +0100, Geert Uytterhoeven wrote:
> > Hi Chunyan,
> > 
> > On Mon, Mar 9, 2020 at 9:32 AM Chunyan Zhang <[email-masked]> wrote:
> > > On Mon, 9 Mar 2020 at 16:03, Geert Uytterhoeven <[email-masked]> wrote:
> > > > On Thu, Mar 5, 2020 at 11:33 AM Chunyan Zhang <[email-masked]> wrote:
> > > > > From: Chunyan Zhang <[email-masked]>
> > > > >
> > > > > The default value of Kconfig for almost all sprd drivers are the same with
> > > > > ARCH_SPRD, making these drivers built as modules as default would be easier
> > > > > if we can set ARCH_SPRD as 'm', so this patch change ARCH_SPRD to tristate.
> > > > >
> > > > > Signed-off-by: Chunyan Zhang <[email-masked]>
> > > >
> > > > Can you actually boot a kernel on a Spreadtrum platform when all platform
> > > > and driver support is modular?
> > >
> > > Yes, even if all drivers are modular.
> > 
> > Cool. No hard dependencies on e.g. regulators that are turned off when
> > unused?
> > 
> > > But I hope serial can be builtin, then I can have a console to see
> > > kernel output before loading modules.
> > 
> > No dependency on the clock driver?
> > Oh, I see you have a hack in the serial driver, to assume default
> > values when the serial port's parent clock is not found.  That may
> > limit use of the other serial ports, depending on the actual serial
> > hardware.
> > And on Sharkl64, the serial port's clock is a fixed-clock anyway, so
> > you don't even need the hack.
> > 
> > But in general you cannot rely on that, especially if your SoC has clock
> > and/or power domains.
> > 
> > BTW, what about the watchdog driver? That one does need a clock, and
> > loading it too late will reboot your system.
> > 
> > > Also, this's what Google GKI [1] asked :)
> > >
> > > Regards,
> > > Chunyan
> > >
> > > [1] https://arstechnica.com/gadgets/2019/11/google-outlines-plans-for-mainline-linux-kernel-support-in-android/
> > 
> > Let's see how having everything modular works out on an SoC where all
> > hardware is part of a clock and power domain.
> 
> I'm curious, are there any problems that we should be aware of? We know about
> the regulator sync state and consumer-supplier dependencies. [1]
> 
> (Adding Saravana inline)
> 

(oops, forgot to paste the link to presentation)
1. https://linuxplumbersconf.org/event/4/contributions/402/attachments/320/544/Solving_issues_associated_with_modules_and_supplier-consumer_dependencies.pdf

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel